> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riona.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Demographic Data

> Get Facebook Demographic Data of a Profile

<ResponseExample>
  ```json 200 theme={null}
  {
    "status": {
      "code": 200,
      "message": "OK"
    },
    "demographic": {
      "followersCities": [],
      "followersCountries": [],
      "followersGendersAges": {
        "data": [],
        "summary": {
          "avgAges": "-",
          "male": 0,
          "female": 0
        }
      },
      "followersTypes": [],
      "followersReachability": [],
      "countries": [],
      "cities": [],
      "genders": [],
      "ages": [],
      "interests": []
    },
    "extra": {
      "categories": [
        "beauty",
        "lifestyle",
        "management-and-marketing",
        "sports"
      ],
      "tags": [
        "global",
        "celebrities",
        "sport-star",
        "english",
        "french",
        "influencer",
        "gender-m",
        "age-30_35",
        "sports",
        "fashion",
        "beauty",
        "lifestyle",
        "management-and-marketing",
        "brands"
      ],
      "lastFromMentions": [
        {
          "image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/FB:166935626696537?time=1730420021",
          "url": "https://www.facebook.com/Herbalife24",
          "name": "Herbalife24"
        },
        {
          "image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/FB:469201610080869?time=1751876274",
          "url": "https://www.facebook.com/binance",
          "name": "Binance"
        },
        {
          "image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/FB:1521410468170410?time=1753482205",
          "url": "https://www.facebook.com/mrbeast",
          "name": "MrBeast"
        },
        {
          "image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/FB:154040584642412?time=1730599684",
          "url": "https://www.facebook.com/ChampionsLeague",
          "name": "UEFA Champions League"
        },
        {
          "image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/FB:219643781416878?time=1752096532",
          "url": "https://www.facebook.com/RioFerdinandOfficial",
          "name": "Rio Ferdinand"
        },
        {
          "image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/FB:87864101244?time=1753768150",
          "url": "https://www.facebook.com/Herbalife",
          "name": "Herbalife"
        },
        {
          "image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/FB:169752853064691?time=1723197949",
          "url": "https://www.facebook.com/visitmadeiraofficial",
          "name": "Visit Madeira"
        },
        {
          "image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/FB:104958162837?time=1755294057",
          "url": "https://www.facebook.com/Google",
          "name": "Google"
        },
        {
          "image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/FB:176063032413299?time=1727421386",
          "url": "https://www.facebook.com/leomessi",
          "name": "Leo Messi"
        },
        {
          "image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/FB:148456285190063?time=1751069407",
          "url": "https://www.facebook.com/neymarjr",
          "name": "Neymar Jr."
        }
      ],
      "profileSafety": {
        "ad": 0,
        "not_marked_ad": 0,
        "alcohol": 0,
        "toxic": 0,
        "religious": 0,
        "negative": 0,
        "offensive": 0,
        "political": 0,
        "crime": 0,
        "adult": 0,
        "pranks": 0,
        "totalScore": 0
      },
      "connections": {
        "toMentions180d": 19,
        "toMentionsCommunities180d": 9,
        "toMentionsViews180d": 15446951,
        "fromMentions180d": 2,
        "fromMentionsCommunities180d": 2,
        "fromMentionsViews180d": 32784988,
        "pctUsersCount180d": 0.00120371592881508,
        "contactEmail": "",
        "pctFakeFollowers": 0
      }
    },
    "lastUpdatedISO": "2025-08-26T10:25:39.346Z",
    "lastUpdated": "26-08-2025"
  }
  ```
</ResponseExample>


## OpenAPI

````yaml api-reference/openapi-3.0.json get /wf/facebook-user-demographic
openapi: 3.0.3
info:
  title: Riona API Docs
  version: 1.0.0
  contact:
    email: info@riona.ai
    url: https://riona.ai
servers:
  - url: https://riona.ai/api/1.1
security:
  - bearerAuth: []
tags:
  - name: Workflow
    description: Use this to trigger a workflow
  - name: Data
    description: Use this to fetch, modify and delete data
paths:
  /wf/facebook-user-demographic:
    get:
      tags:
        - Workflow
      description: Triggers the workflow facebook-user-demographic
      operationId: get_wf_facebook-user-demographic
      parameters:
        - name: url
          in: query
          required: true
          description: >-
            Example: `https://www.facebook.com/Cristiano` OR
            `https://www.facebook.com/81221197163`
          schema:
            type: string
        - name: api_key
          in: query
          required: true
          description: >-
            This is your account API Key. You can easily locate it in your
            account dashboard.
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````